PennMUSH Community

Changeset 922

Show
Ignore:
Timestamp:
06/12/07 17:16:04 (1 year ago)
Author:
shawnw
Message:

expr: Sync with devel

Files:

Legend:

Unmodified
Added
Removed
Modified
Copied
Moved
  • 1.8.3/branches/experimental/CHANGES.182

    r878 r922  
    1515========================================================================== 
    1616 
    17 Version 1.8.2 patchlevel 5                      ??? ??, 2007 
     17Version 1.8.3 patchlevel 5                      June 13, 2007 
    1818 
    1919Minor changes: 
  • 1.8.3/branches/experimental/CHANGES.183

    r897 r922  
    1515========================================================================== 
    1616 
    17 Version 1.8.3 patchlevel 3                      ??? ??, 2007 
     17Version 1.8.3 patchlevel 3                      June 13, 2007 
    1818 
    1919Minor changes: 
    2020  * The sockets used to talk to info_slave changed from streams 
    21     to datagrams, simplying code. [SW] 
     21    to datagrams, simplifying code. [SW] 
    2222  * info_slave deals better with simultaneous connections. [SW] 
    23   * info_slave temporarily requires the presence of the socketpair(2) 
    24     function. [SW] 
     23  * info_slave requires the presence of the socketpair(2) function. 
     24    It was already using it anyways. 
    2525  * Use of some system calls with portability issues encapsulated in 
    2626    wrapper functions. [SW] 
     
    3535  * ctime() and mtime() take an optional second argument to control which 
    3636    time zone the time is displayed for: UTC or the server's. [SW] 
     37  * fn() by Javelin 
     38  * letq(). Suggested by Nathan Baum. [SW] 
    3739   
    3840Fixes: 
    3941  * Assorted compiler warning fixes. [SW] 
    40   * Won't compile on OS X 10.3. Reported by Viila. [SW] 
     42  * Compile fix on OS X 10.3. Reported by Viila. [SW] 
    4143  * @sql wasn't enabled if Sqlite3 was the only database turned on. 
    4244    Reported by qa'toq. 
     
    5052  * User locks were broken in the last patch. Reported by Michael Brazaitis. 
    5153    [SW] 
     54  * ./configure --without-ssl works. Reported by Starr. [SW] 
     55  * objid matcher didn't work properly. [SW] 
     56  * Many functions that used parse_dbref updated to use parse_objid, 
     57    to see more objid compliance. [GM] 
    5258 
    5359Version 1.8.3 patchlevel 2                      May 16, 2007 
  • 1.8.3/branches/experimental/MANIFEST

    r897 r922  
    139139hints/win32-gcc.sh 
    140140hints/win32.sh 
     141hints/README 
    141142options.h.dist 
    142143po/Makefile 
     
    240241test/testhastype.pl 
    241242test/testinsert.pl 
     243test/testletq.pl 
    242244test/testmath.pl 
    243245test/testnull.pl 
     
    256258utils/mkvershlp.pl 
    257259utils/README.txt 
     260utils/splint.sh 
    258261utils/typedefs.scm 
    259262utils/update-cnf.pl 
  • 1.8.3/branches/experimental/Makefile.in

    r827 r922  
    22 
    33# - System configuration - # 
     4 
     5VERSION=1.8.3 
     6PATCHLEVEL=3 
    47 
    58# 
     
    4447    @echo "it said that config.h was unchanged, 'touch config.h'" 
    4548    @echo "to suppress this message and continue compiling." 
    46     exit 1 
     49    @exit 1 
    4750 
    4851options.h: options.h.dist 
    4952    @echo "Please use 'make update' to update your options.h file from options.h.dist" 
    5053    @echo "You must cp options.h.dist to options.h and edit it." 
    51     exit 1 
     54    @exit 1 
    5255 
    5356autogen: hdrs/cmds.h hdrs/funs.h hdrs/switches.h 
     
    9396    "LDFLAGS=$(LDFLAGS)" "CLIBS=$(CLIBS)" ) 
    9497 
    95 announce: 
    96     (cd src; make announce "CC=$(CC)" "CCFLAGS=$(CCFLAGS)" \ 
    97     "LDFLAGS=$(LDFLAGS)" "CLIBS=$(CLIBS)" ) 
    98  
    9998ssl_slave: 
    10099    (cd src; make ssl_slave "CC=$(CC)" "CCFLAGS=$(CCFLAGS)" \ 
     
    124123indent: 
    125124    @(cd src; make indent) 
    126  
    127 protoize: 
    128     (cd src; make protoize "CCFLAGS=$(CCFLAGS)") 
    129125 
    130126customize: update-conf 
     
    177173distclean:  
    178174    (cd hdrs; rm -f *.orig *~ \#* *.rej *.bak funs.h cmds.h buildinf.h patches.h) 
    179     (cd utils; rm -f *.orig *~ \#* *.rej *.bak mkcmds.sh
     175    (cd utils; rm -f *.orig *~ \#* *.rej *.bak mkcmds.sh *.o
    180176    (cd game; rm -rf *.log netmush info_slave *.orig *.rej *~ *.bak mush.cnf) 
    181     (cd os2; rm -rf *.rej *.orig *~ *.bak) 
    182177    (cd src; make distclean; rm -f Makefile) 
    183178    (cd game/txt; make clean) 
     
    188183    (cd src; rm -rf *.rej) 
    189184    -rm -f Makefile 
    190  
    191 distci: distclean ci-src ci-game 
    192  
    193 ci-src: 
    194     -(yes . | ci -l -f -N$(NAME) FAQ* BUGS COPY* CHANGE* READ* MANIFEST \ 
    195       Configure utils/* Makefile.SH Patchlevel config_h.SH confmagic.h \ 
    196       *.dist src/Makefile src/SWITCHES src/*.c src/*.dst \ 
    197       hdrs/* hints/* os2/*) 
    198  
    199 ci-game: 
    200     -(yes . | ci -l -f -N$(NAME) game/restart game/mushcnf.dst \ 
    201       game/access.README \ 
    202       game/txt/* game/txt/nws/* game/txt/evt/* game/txt/hlp/* ) 
    203185 
    204186diffs: 
     
    209191    @(prcs diff -r$(VS) -N pennmush `cat MANIFEST` | grep -v 'Index:') 
    210192 
    211 checkin: versions autogen 
    212     @prcs checkin 
    213  
    214193commit: indent 
    215194    @svn commit 
     
    225204    (cd src; make ctags) 
    226205 
    227 dist.tar.Z: distclean dist.tar 
    228     compress /tmp/dist.tar 
    229  
    230 dist.tar.gz: distclean dist.tar 
    231     gzip /tmp/dist.tar 
    232  
    233206touchswitches: 
    234207    @@TOUCH@ src/SWITCHES 
    235208 
    236 dist.tar: indent distclean versions touchswitches autogen 
    237     makedist -c pennmush 
    238     tar -cvf /tmp/dist.tar pennmush 
    239     -pgp -sb /tmp/dist.tar 
    240     -rm -rf pennmush 
    241  
    242 CSRImalloc.tar.Z: 
    243     (cd src/CSRI; make clean) 
    244     (tar -cvFFf /tmp/CSRImalloc.tar `cat exclude.tar`) 
    245     compress /tmp/CSRImalloc.tar 
     209dist.tar:  
     210    svn checkout svn+ssh://svn.pennmush.org/svn/pennmush/$(VERSION)/trunk 
     211    sed -e "s#^#pennmush-$(VERSION)p$(PATCHLEVEL)/#" < trunk/MANIFEST \ 
     212        > DISTFILES 
     213    mv -f trunk pennmush-$(VERSION)p$(PATCHLEVEL) 
     214    tar -cvf dist.tar --files-from=DISTFILES 
     215    -gpg -sb /tmp/dist.tar 
     216    bzip2 -k /tmp/dist.tar 
     217    openssl dgst -sha1 -out /tmp/dist.tar.bz2.sha1 /tmp/dist.tar.bz2  
     218    gzip -k /tmp/dist.tar 
     219    openssl dgst -sha1 -out /tmp/dist.tar.gz.sha1 /tmp/dist.tar.gz 
     220    -rm -rf pennmush-$(VERSION)p$(PATCHLEVEL) DISTFILES 
    246221 
    247222globalinstall: install 
  • 1.8.3/branches/experimental/Patchlevel

    r817 r922  
    11Do not edit this file. It is maintained by the official PennMUSH patches. 
    2 This is PennMUSH 1.8.3p2 
     2This is PennMUSH 1.8.3p3 
  • 1.8.3/branches/experimental/README.SSL

    r467 r922  
    5252  The Configure script distributed with PennMUSH automatically detects 
    5353  the OpenSSL libraries (libssl and libcrypto) and attempts to link 
    54   them into the executable, defining HAS_OPENSSL in config.h. 
    55   If you have SSL libraries but wish to avoid linking with them, 
    56   give the -D no_openssl argument to Configure when you run it. 
     54  them into the executable, defining HAVE_SSL and HAS_OPENSSL in 
     55  config.h. If you have SSL libraries but wish to avoid linking with them, 
     56  give the --without-ssl argument to Configure when you run it. 
    5757 
    5858  You can compile the OpenSSL libraries yourself from source code 
    59   at http://www.openssl.org. 
     59  at http://www.openssl.org. If you install it through your OS'es 
     60  package management system, you need shared libraries and development 
     61  headers. (Packages with names like openssl, libssl, and -dev or -shlibs 
     62  prefixes are common. Exact names vary from OS to OS. You want at least 
     63  verison 0.9.7.) If OpenSSL gets installed in a place that isn't checked 
     64  by default, you can invoke configure with ./configure --with-ssl=/path/to 
     65  (The path must be the root directory of where OpenSSL's include/ and lib/ 
     66  directories are.) 
    6067 
    6168  OpenSSL can also be compiled on Windows, and you could add its 
  • 1.8.3/branches/experimental/aclocal.m4

    r790 r922  
    9393        fi 
    9494 
     95        AC_MSG_CHECKING([for MySQL libraries]) 
    9596        if test "$MYSQL_CONFIG" != "no"; then 
    96             AC_MSG_CHECKING([for MySQL libraries]) 
    9797 
    9898            MYSQL_CFLAGS="`$MYSQL_CONFIG --cflags`" 
     
    202202#   the copyright notice and this notice are preserved. 
    203203 
    204 AC_DEFUN([CHECK_SSL]
    205 [AC_MSG_CHECKING(if ssl is wanted) 
    206 AC_ARG_WITH(ssl, 
    207 [  --with-ssl enable ssl [will check /usr/local/ssl 
    208                             /usr/lib/ssl /usr/ssl /usr/pkg /usr/local /usr ] 
     204AC_DEFUN(CHECK_SSL
     205[AC_ARG_WITH(ssl, 
     206 
     207[ 
     208AC_HELP_STRING([--with-ssl=@<:@DIR@:>@], [look for OpenSSL in DIR (Use when it's not found with the default search path)]) 
    209209], 
    210 [   AC_MSG_RESULT(yes) 
    211     for dir in $withval /usr/local/ssl /usr/lib/ssl /usr/ssl /usr/pkg /usr/local /usr; do 
     210 
     211[ AS_IF([test "x$with_ssl" != xno], 
     212 [  AC_MSG_CHECKING([for OpenSSL]) 
     213    for dir in $with_ssl /usr/local/ssl /usr/lib/ssl /usr/ssl /usr/pkg /usr/local /usr; do 
    212214        ssldir="$dir" 
    213215        if test -f "$dir/include/openssl/ssl.h"; then 
    214216            found_ssl="yes"; 
    215217            CFLAGS="$CFLAGS -I$ssldir/include/"; 
    216             CXXFLAGS="$CXXFLAGS -I$ssldir/include/"; 
    217218            break; 
    218219        fi 
     
    220221            found_ssl="yes"; 
    221222            CFLAGS="$CFLAGS -I$ssldir/include/"; 
    222             CXXFLAGS="$CXXFLAGS -I$ssldir/include/"; 
    223             break 
     223            break; 
    224224        fi 
    225225    done 
    226226    if test x_$found_ssl != x_yes; then 
    227         AC_MSG_ERROR(Cannot find ssl libraries
     227        AC_MSG_RESULT(no
    228228    else 
    229         printf "OpenSSL found in $ssldir\n"; 
     229        AC_MSG_RESULT(yes) 
    230230        LIBS="$LIBS -lssl -lcrypto"; 
    231231        LDFLAGS="$LDFLAGS -L$ssldir/lib"; 
    232         HAVE_SSL=yes 
     232        HAVE_SSL="yes"; 
     233        AC_SUBST(HAVE_SSL)   
    233234    fi 
    234     AC_SUBST(HAVE_SSL) 
    235 ], 
     235 ], 
     236 AC_MSG_NOTICE([ssl support disabled]) 
     237)], 
    236238[ 
    237     AC_MSG_RESULT(no) 
    238 ]) 
    239 ])dnl 
     239   AC_MSG_CHECKING([for OpenSSL])  
     240   for dir in /usr/local/ssl /usr/lib/ssl /usr/ssl /usr/pkg /usr/local /usr; do 
     241        ssldir="$dir" 
     242        if test -f "$dir/include/openssl/ssl.h"; then 
     243            found_ssl="yes"; 
     244            CFLAGS="$CFLAGS -I$ssldir/include/"; 
     245            break; 
     246        fi 
     247        if test -f "$dir/include/ssl.h"; then 
     248            found_ssl="yes"; 
     249            CFLAGS="$CFLAGS -I$ssldir/include/"; 
     250            break; 
     251        fi 
     252    done 
     253    if test x_$found_ssl != x_yes; then 
     254        AC_MSG_RESULT(no) 
     255    else 
     256        AC_MSG_RESULT(yes) 
     257        LIBS="$LIBS -lssl -lcrypto"; 
     258        LDFLAGS="$LDFLAGS -L$ssldir/lib"; 
     259        HAVE_SSL="yes"; 
     260        AC_SUBST(HAVE_SSL) 
     261    fi 
     262]) 
     263]) 
    240264 
    241265##### http://autoconf-archive.cryp.to/type_socklen_t.html 
     
    677701        saved_CPPFLAGS="$CPPFLAGS" 
    678702        CPPFLAGS="$CPPFLAGS $ac_sqlite3_cppflags" 
    679  
    680         AC_LANG_PUSH(C++) 
    681703        AC_COMPILE_IFELSE( 
    682704            [ 
     
    684706                [[ 
    685707#if (SQLITE_VERSION_NUMBER >= $sqlite3_version_req_number) 
    686 // Everything is okay 
     708/* Everything is okay */ 
    687709#else 
    688710#  error SQLite version is too old 
     
    700722            ] 
    701723        ) 
    702         AC_LANG_POP([C++]) 
    703724 
    704725        CPPFLAGS="$saved_CPPFLAGS" 
  • 1.8.3/branches/experimental/configure

    r897 r922  
    675675POSTGRESQL_CFLAGS 
    676676POSTGRESQL_LDFLAGS 
    677 CXX 
    678 CXXFLAGS 
    679 ac_ct_CXX 
    680677SQLITE3_CFLAGS 
    681678SQLITE3_LDFLAGS 
     
    692689CPPFLAGS 
    693690SENDMAIL 
    694 CPP 
    695 CXX 
    696 CXXFLAGS 
    697 CCC' 
     691CPP' 
    698692 
    699693 
     
    12701264  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes] 
    12711265  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no) 
    1272   --with-ssl enable ssl will check /usr/local/ssl 
    1273                             /usr/lib/ssl /usr/ssl /usr/pkg /usr/local /usr 
     1266 
     1267  --with-ssl=[DIR]        look for OpenSSL in DIR (Use when it's not found 
     1268                          with the default search path) 
    12741269 
    12751270  --with-mysql=[ARG]      use MySQL client library [default=yes], optionally 
     
    12891284  SENDMAIL    Path to sendmail 
    12901285  CPP         C preprocessor 
    1291   CXX         C++ compiler command 
    1292   CXXFLAGS    C++ compiler flags 
    12931286 
    12941287Use these variables to override the choices made by `configure' or to help 
     
    1310013093 
    1310113094 
    13102 with_ssl=set 
    13103 { echo "$as_me:$LINENO: checking if ssl is wanted" >&5 
    13104 echo $ECHO_N "checking if ssl is wanted... $ECHO_C" >&6; } 
     13095# with_ssl=set 
    1310513096 
    1310613097# Check whether --with-ssl was given. 
    1310713098if test "${with_ssl+set}" = set; then 
    13108   withval=$with_ssl;    { echo "$as_me:$LINENO: result: yes" >&5 
    13109 echo "${ECHO_T}yes" >&6; } 
    13110     for dir in $withval /usr/local/ssl /usr/lib/ssl /usr/ssl /usr/pkg /usr/local /usr; do 
     13099  withval=$with_ssl;  if test "x$with_ssl" != xno; then 
     13100    { echo "$as_me:$LINENO: checking for OpenSSL" >&5 
     13101echo $ECHO_N "checking for OpenSSL... $ECHO_C" >&6; } 
     13102    for dir in $with_ssl /usr/local/ssl /usr/lib/ssl /usr/ssl /usr/pkg /usr/local /usr; do 
    1311113103        ssldir="$dir" 
    1311213104        if test -f "$dir/include/openssl/ssl.h"; then 
    1311313105            found_ssl="yes"; 
    1311413106            CFLAGS="$CFLAGS -I$ssldir/include/"; 
    13115             CXXFLAGS="$CXXFLAGS -I$ssldir/include/"; 
    1311613107            break; 
    1311713108        fi 
     
    1311913110            found_ssl="yes"; 
    1312013111            CFLAGS="$CFLAGS -I$ssldir/include/"; 
    13121             CXXFLAGS="$CXXFLAGS -I$ssldir/include/"; 
    13122             break 
     13112            break; 
    1312313113        fi 
    1312413114    done 
    1312513115    if test x_$found_ssl != x_yes; then 
    13126         { { echo "$as_me:$LINENO: error: Cannot find ssl libraries" >&5 
    13127 echo "$as_me: error: Cannot find ssl libraries" >&2;} 
    13128    { (exit 1); exit 1; }; } 
     13116        { echo "$as_me:$LINENO: result: no" >&5 
     13117echo "${ECHO_T}no" >&6; } 
    1312913118    else 
    13130         printf "OpenSSL found in $ssldir\n"; 
     13119        { echo "$as_me:$LINENO: result: yes" >&5 
     13120echo "${ECHO_T}yes" >&6; } 
    1313113121        LIBS="$LIBS -lssl -lcrypto"; 
    1313213122        LDFLAGS="$LDFLAGS -L$ssldir/lib"; 
    13133         HAVE_SSL=yes 
     13123        HAVE_SSL="yes"; 
     13124 
    1313413125    fi 
    1313513126 
    13136  
    13137 else 
    13138  
    13139     { echo "$as_me:$LINENO: result: no" >&5 
     13127else 
     13128  { echo "$as_me:$LINENO: ssl support disabled" >&5 
     13129echo "$as_me: ssl support disabled" >&6;} 
     13130 
     13131fi 
     13132 
     13133else 
     13134 
     13135   { echo "$as_me:$LINENO: checking for OpenSSL" >&5 
     13136echo $ECHO_N "checking for OpenSSL... $ECHO_C" >&6; } 
     13137   for dir in /usr/local/ssl /usr/lib/ssl /usr/ssl /usr/pkg /usr/local /usr; do 
     13138        ssldir="$dir" 
     13139        if test -f "$dir/include/openssl/ssl.h"; then 
     13140            found_ssl="yes"; 
     13141            CFLAGS="$CFLAGS -I$ssldir/include/"; 
     13142            break; 
     13143        fi 
     13144        if test -f "$dir/include/ssl.h"; then 
     13145            found_ssl="yes"; 
     13146            CFLAGS="$CFLAGS -I$ssldir/include/"; 
     13147            break; 
     13148        fi 
     13149    done 
     13150    if test x_$found_ssl != x_yes; then 
     13151        { echo "$as_me:$LINENO: result: no" >&5 
    1314013152echo "${ECHO_T}no" >&6; } 
     13153    else 
     13154        { echo "$as_me:$LINENO: result: yes" >&5 
     13155echo "${ECHO_T}yes" >&6; } 
     13156        LIBS="$LIBS -lssl -lcrypto"; 
     13157        LDFLAGS="$LDFLAGS -L$ssldir/lib"; 
     13158        HAVE_SSL="yes"; 
     13159 
     13160    fi 
    1314113161 
    1314213162fi 
     
    1322313243        fi 
    1322413244 
     13245        { echo "$as_me:$LINENO: checking for MySQL libraries" >&5 
     13246echo $ECHO_N "checking for MySQL libraries... $ECHO_C" >&6; } 
    1322513247        if test "$MYSQL_CONFIG" != "no"; then 
    13226             { echo "$as_me:$LINENO: checking for MySQL libraries" >&5 
    13227 echo $ECHO_N "checking for MySQL libraries... $ECHO_C" >&6; } 
    1322813248 
    1322913249            MYSQL_CFLAGS="`$MYSQL_CONFIG --cflags`" 
     
    1343413454 
    1343513455 
    13436 ac_ext=cpp 
    13437 ac_cpp='$CXXCPP $CPPFLAGS' 
    13438 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 
    13439 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
    13440 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu 
    13441 if test -z "$CXX"; then 
    13442   if test -n "$CCC"; then 
    13443     CXX=$CCC 
    13444   else 
    13445     if test -n "$ac_tool_prefix"; then 
    13446   for ac_prog in g++ c++ gpp aCC CC cxx cc++ cl.exe FCC KCC RCC xlC_r xlC 
    13447   do 
    13448     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args. 
    13449 set dummy $ac_tool_prefix$ac_prog; ac_word=$2 
    13450 { echo "$as_me:$LINENO: checking for $ac_word" >&5 
    13451 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; } 
    13452 if test "${ac_cv_prog_CXX+set}" = set; then 
    13453   echo $ECHO_N "(cached) $ECHO_C" >&6 
    13454 else 
    13455   if test -n "$CXX"; then 
    13456   ac_cv_prog_CXX="$CXX" # Let the user override the test. 
    13457 else 
    13458 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
    13459 for as_dir in $PATH 
    13460 do 
    13461   IFS=$as_save_IFS 
    13462   test -z "$as_dir" && as_dir=. 
    13463   for ac_exec_ext in '' $ac_executable_extensions; do 
    13464   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then 
    13465     ac_cv_prog_CXX="$ac_tool_prefix$ac_prog" 
    13466     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
    13467     break 2 
    13468   fi 
    13469 done 
    13470 done 
    13471 IFS=$as_save_IFS 
    13472  
    13473 fi 
    13474 fi 
    13475 CXX=$ac_cv_prog_CXX 
    13476 if test -n "$CXX"; then 
    13477   { echo "$as_me:$LINENO: result: $CXX" >&5 
    13478 echo "${ECHO_T}$CXX" >&6; } 
    13479 else 
    13480   { echo "$as_me:$LINENO: result: no" >&5 
    13481 echo "${ECHO_T}no" >&6; } 
    13482 fi 
    13483  
    13484  
    13485     test -n "$CXX" && break 
    13486   done 
    13487 fi 
    13488 if test -z "$CXX"; then 
    13489   ac_ct_CXX=$CXX 
    13490   for ac_prog in g++ c++ gpp aCC CC cxx cc++ cl.exe FCC KCC RCC xlC_r xlC 
    13491 do 
    13492   # Extract the first word of "$ac_prog", so it can be a program name with args. 
    13493 set dummy $ac_prog; ac_word=$2 
    13494 { echo "$as_me:$LINENO: checking for $ac_word" >&5 
    13495 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; } 
    13496 if test "${ac_cv_prog_ac_ct_CXX+set}" = set; then 
    13497   echo $ECHO_N "(cached) $ECHO_C" >&6 
    13498 else 
    13499   if test -n "$ac_ct_CXX"; then 
    13500   ac_cv_prog_ac_ct_CXX="$ac_ct_CXX" # Let the user override the test. 
    13501 else 
    13502 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
    13503 for as_dir in $PATH 
    13504 do 
    13505   IFS=$as_save_IFS 
    13506   test -z "$as_dir" && as_dir=. 
    13507   for ac_exec_ext in '' $ac_executable_extensions; do 
    13508   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then 
    13509     ac_cv_prog_ac_ct_CXX="$ac_prog" 
    13510     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
    13511     break 2 
    13512   fi 
    13513 done 
    13514 done 
    13515 IFS=$as_save_IFS 
    13516  
    13517 fi 
    13518 fi 
    13519 ac_ct_CXX=$ac_cv_prog_ac_ct_CXX 
    13520 if test -n "$ac_ct_CXX"; then 
    13521   { echo "$as_me:$LINENO: result: $ac_ct_CXX" >&5 
    13522 echo "${ECHO_T}$ac_ct_CXX" >&6; } 
    13523 else 
    13524   { echo "$as_me:$LINENO: result: no" >&5 
    13525 echo "${ECHO_T}no" >&6; } 
    13526 fi 
    13527  
    13528  
    13529   test -n "$ac_ct_CXX" && break 
    13530 done 
    13531  
    13532   if test "x$ac_ct_CXX" = x; then 
    13533     CXX="g++" 
    13534   else 
    13535     case $cross_compiling:$ac_tool_warned in 
    13536 yes:) 
    13537 { echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools 
    13538 whose name does not start with the host triplet.  If you think this 
    13539 configuration is useful to you, please write to autoconf@gnu.org." >&5 
    13540 echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools 
    13541 whose name does not start with the host triplet.  If you think this 
    13542 configuration is useful to you, please write to autoconf@gnu.org." >&2;} 
    13543 ac_tool_warned=yes ;; 
    13544 esac 
    13545     CXX=$ac_ct_CXX 
    13546   fi 
    13547 fi 
    13548  
    13549   fi 
    13550 fi 
    13551 # Provide some information about the compiler. 
    13552 echo "$as_me:$LINENO: checking for C++ compiler version" >&5 
    13553 ac_compiler=`set X $ac_compile; echo $2` 
    13554 { (ac_try="$ac_compiler --version >&5" 
    13555 case "(($ac_try" in 
    13556   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    13557   *) ac_try_echo=$ac_try;; 
    13558 esac 
    13559 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    13560   (eval "$ac_compiler --version >&5") 2>&5 
    13561   ac_status=$? 
    13562   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    13563   (exit $ac_status); } 
    13564 { (ac_try="$ac_compiler -v >&5" 
    13565 case "(($ac_try" in 
    13566   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    13567   *) ac_try_echo=$ac_try;; 
    13568 esac 
    13569 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    13570   (eval "$ac_compiler -v >&5") 2>&5 
    13571   ac_status=$? 
    13572   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    13573   (exit $ac_status); } 
    13574 { (ac_try="$ac_compiler -V >&5" 
    13575 case "(($ac_try" in 
    13576   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    13577   *) ac_try_echo=$ac_try;; 
    13578 esac 
    13579 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    13580   (eval "$ac_compiler -V >&5") 2>&5 
    13581   ac_status=$? 
    13582   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    13583   (exit $ac_status); } 
    13584  
    13585 { echo "$as_me:$LINENO: checking whether we are using the GNU C++ compiler" >&5 
    13586 echo $ECHO_N "checking whether we are using the GNU C++ compiler... $ECHO_C" >&6; } 
    13587 if test "${ac_cv_cxx_compiler_gnu+set}" = set; then 
    13588   echo $ECHO_N "(cached) $ECHO_C" >&6 
    13589 else 
    13590   cat >conftest.$ac_ext <<_ACEOF 
    13591 /* confdefs.h.  */ 
    13592 _ACEOF 
    13593 cat confdefs.h >>conftest.$ac_ext 
    13594 cat >>conftest.$ac_ext <<_ACEOF 
    13595 /* end confdefs.h.  */ 
    13596  
    13597 int 
    13598 main () 
    13599 { 
    13600 #ifndef __GNUC__ 
    13601        choke me 
    13602 #endif 
    13603  
    13604   ; 
    13605   return 0; 
    13606 } 
    13607 _ACEOF 
    13608 rm -f conftest.$ac_objext 
    13609 if { (ac_try="$ac_compile" 
    13610 case "(($ac_try" in 
    13611   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    13612   *) ac_try_echo=$ac_try;; 
    13613 esac 
    13614 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    13615   (eval "$ac_compile") 2>conftest.er1 
    13616   ac_status=$? 
    13617   grep -v '^ *+' conftest.er1 >conftest.err 
    13618   rm -f conftest.er1 
    13619   cat conftest.err >&5 
    13620   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    13621   (exit $ac_status); } && 
    13622      { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err' 
    13623   { (case "(($ac_try" in 
    13624   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    13625   *) ac_try_echo=$ac_try;; 
    13626 esac 
    13627 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    13628   (eval "$ac_try") 2>&5 
    13629   ac_status=$? 
    13630   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    13631   (exit $ac_status); }; } && 
    13632      { ac_try='test -s conftest.$ac_objext' 
    13633   { (case "(($ac_try" in 
    13634   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    13635   *) ac_try_echo=$ac_try;; 
    13636 esac 
    13637 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    13638   (eval "$ac_try") 2>&5 
    13639   ac_status=$? 
    13640   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    13641   (exit $ac_status); }; }; then 
    13642   ac_compiler_gnu=yes 
    13643 else 
    13644   echo "$as_me: failed program was:" >&5 
    13645 sed 's/^/| /' conftest.$ac_ext >&5 
    13646  
    13647     ac_compiler_gnu=no 
    13648 fi 
    13649  
    13650 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 
    13651 ac_cv_cxx_compiler_gnu=$ac_compiler_gnu 
    13652  
    13653 fi 
    13654 { echo "$as_me:$LINENO: result: $ac_cv_cxx_compiler_gnu" >&5 
    13655 echo "${ECHO_T}$ac_cv_cxx_compiler_gnu" >&6; } 
    13656 GXX=`test $ac_compiler_gnu = yes && echo yes` 
    13657 ac_test_CXXFLAGS=${CXXFLAGS+set} 
    13658 ac_save_CXXFLAGS=$CXXFLAGS 
    13659 { echo "$as_me:$LINENO: checking whether $CXX accepts -g" >&5 
    13660 echo $ECHO_N "checking whether $CXX accepts -g... $ECHO_C" >&6; } 
    13661 if test "${ac_cv_prog_cxx_g+set}" = set; then 
    13662   echo $ECHO_N "(cached) $ECHO_C" >&6 
    13663 else 
    13664   ac_save_cxx_werror_flag=$ac_cxx_werror_flag 
    13665    ac_cxx_werror_flag=yes 
    13666    ac_cv_prog_cxx_g=no 
    13667    CXXFLAGS="-g" 
    13668    cat >conftest.$ac_ext <<_ACEOF 
    13669 /* confdefs.h.  */ 
    13670